MUX4(9)

NAME

mux4 - Select from one of four input values

SYNOPSIS

loadrt mux4 [count=N|names=name1[,name2...]]

FUNCTIONS

mux4.N (requires a floating-point thread)

PINS

mux4.N.sel0 bit in

mux4.N.sel1 bit in
    Together, these determine which inN value is copied to out.

mux4.N.out float out
    Follows the value of one of the inN values according to the two sel values

    sel1=FALSE, sel0=FALSE
        out follows in0

    sel1=FALSE, sel0=TRUE
        out follows in1

    sel1=TRUE, sel0=FALSE
        out follows in2

    sel1=TRUE, sel0=TRUE
        out follows in3

mux4.N.in0 float in

mux4.N.in1 float in

mux4.N.in2 float in

mux4.N.in3 float in

SEE ALSO

mux2(9), mux8(9), mux16(9), mux_generic(9).

AUTHOR

Jeff Epler

LICENSE

GPL